/// <reference types="vite/client" />
declare const __CORE_LIB_VERSION__: {
  vue: string
  'vue-router': string
  'element-plus': string
  pinia: string
  unocss: string
  node: string
}

// 声明虚拟模块
declare module 'virtual:push-update' {
  const updateInfo: string
  export default updateInfo
}

// src/types/wangeditor.d.ts
declare module '@wangeditor/editor-for-vue' {
  const Editor: any
  const Toolbar: any
  export { Editor, Toolbar }
}

declare module 'textarea-caret' {
  interface CaretCoordinates {
    top: number
    left: number
    height: number
  }

  export default function getCaretCoordinates(
    element: HTMLTextAreaElement | HTMLInputElement,
    position: number,
  ): CaretCoordinates
}
